View Issue Details

IDProjectCategoryView StatusLast Update
0023810Open CASCADEOCCT:WOKpublic2013-04-29 15:23
Reporterbugmaster Assigned Todbv  
PriorityhighSeveritymajor 
Status closedResolutionfixed 
Product Version6.6.0 
Target Version6.6.0Fixed in Version6.6.0 
Summary0023810: Cyclic dependency detected between the several OCCT units
DescriptionIt seems after integration 0023712: Remove dependency on Aspect_GraphicDevice from Aspect_Window, the Cyclic dependency is detected between the several OCCT units during compilation by WOK.

=====> BOPInt:obj.idep
 
Info : Step obj.idep is successfull
Warning : Wrong or not visible entry BOPTColStd in implementation dep of TKQADraw
Warning : Wrong or not visible entry BOP in implementation dep of TKQADraw
Error : Cyclic dependency detected between: Image Font Xw Aspect Viewer SelectBasics TKV3d Graphic3d TKService InterfaceGraphic
 
TagsNo tags attached.
Test case numberNot needed

Relationships

related to 0023712 closeddbv Remove the dependency on the Aspect_GraphicDevice from Aspect_Window 

Activities

dbv

2013-03-05 15:30

developer   ~0023588

Last edited: 2013-03-05 15:32

Removed package Viewer. Methods and class fields from Viewer_View and Viewer_Viewer have been moved to V3d_View and V3d_Viewer
accordingly.
Removed class Aspect_GraphicDriver.

Git branch CR23810 is ready for review.

kgv

2013-03-05 15:46

developer   ~0023590

Patch was reviewed without remarks.

Please check compilation and integrate to master ASAP.

bugmaster

2013-03-06 10:31

administrator   ~0023599

CR23810 has been successfully compiled by WOK 6.6.0 beta on Linux and Windows platforms

abv

2013-03-06 10:37

manager   ~0023600

Please perform complete testing and check building of samples before integration

kgv

2013-03-06 12:59

developer   ~0023604

Dear bugmaster and abv,

samples do not use removed package "Viewer". I think samples compilation should be checked after integration of this patch by pending patches.

mkv

2013-03-06 13:11

tester   ~0023605

Dear BugMaster,

Branch CR23810 (and products from GIT master) was compiled on Linux and Windows platforms.
SHA-1: 6fb40accbf1a728bd308e48ad66f7970b49a49d6

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 39 (39 on master)

products component :
Linux: 10 (10 on master)
Windows: 50 (50 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 237757344 / 237781628
Total CPU difference: 14014.200000000197 / 18396.860000000062

Testing on Windows:
Total MEMORY difference: 340902488 / 342650200
Total CPU difference: 12949.170426599965 / 16699.078125

There are not serious differences in images found by testdiff.

Related Changesets

occt: master 6942f04a

2013-03-06 09:17:05

dbv

Details Diff
0023810: Cyclic dependency detected between the several OCCT units
Removed package Viewer. Methods and class filed from Viewer_View and Viewer_Viewer have been moved to V3d_View and V3d_Viewer
accordingly.
Removed Aspect_GraphicDriver.
V3d_View declaration fix
Affected Issues
0023810
mod - adm/UDLIST Diff File
mod - src/Aspect/Aspect.cdl Diff File
mod - src/Aspect/Aspect_ColorScale.cdl Diff File
rm - src/Aspect/Aspect_GraphicDriver.cdl Diff File
rm - src/Aspect/Aspect_GraphicDriver.cxx Diff File
mod - src/Graphic3d/Graphic3d_GraphicDriver.cdl Diff File
mod - src/PrsMgr/PrsMgr.cdl Diff File
mod - src/PrsMgr/PrsMgr_PresentationManager.cdl Diff File
mod - src/PrsMgr/PrsMgr_PresentationManager3d.cdl Diff File
mod - src/PrsMgr/PrsMgr_PresentationManager3d.cxx Diff File
mod - src/TKService/PACKAGES Diff File
mod - src/V3d/V3d.cdl Diff File
mod - src/V3d/V3d_DirectionalLight.cdl Diff File
mod - src/V3d/V3d_DirectionalLight.cxx Diff File
mod - src/V3d/V3d_Light.cdl Diff File
mod - src/V3d/V3d_PerspectiveView.cdl Diff File
mod - src/V3d/V3d_PerspectiveView.cxx Diff File
mod - src/V3d/V3d_Plane.cdl Diff File
mod - src/V3d/V3d_Plane.cxx Diff File
mod - src/V3d/V3d_PositionalLight.cdl Diff File
mod - src/V3d/V3d_PositionalLight.cxx Diff File
mod - src/V3d/V3d_PositionLight.cdl Diff File
mod - src/V3d/V3d_PositionLight.cxx Diff File
mod - src/V3d/V3d_SpotLight.cdl Diff File
mod - src/V3d/V3d_SpotLight.cxx Diff File
mod - src/V3d/V3d_View.cdl Diff File
mod - src/V3d/V3d_View.cxx Diff File
mod - src/V3d/V3d_Viewer.cdl Diff File
mod - src/V3d/V3d_Viewer.cxx Diff File
mod - src/V3d/V3d_Viewer_2.cxx Diff File
mod - src/V3d/V3d_View_1.cxx Diff File
mod - src/V3d/V3d_View_2.cxx Diff File
mod - src/V3d/V3d_View_3.cxx Diff File
rm - src/Viewer/Viewer.cdl Diff File
rm - src/Viewer/Viewer_View.cdl Diff File
rm - src/Viewer/Viewer_View.cxx Diff File
rm - src/Viewer/Viewer_Viewer.cdl Diff File
rm - src/Viewer/Viewer_Viewer.cxx Diff File
mod - src/Visual3d/Visual3d_TransientManager.cxx Diff File
mod - src/Visual3d/Visual3d_View.cdl Diff File
mod - src/Visual3d/Visual3d_View.cxx Diff File

Issue History

Date Modified Username Field Change
2013-03-04 15:14 bugmaster New Issue
2013-03-04 15:14 bugmaster Assigned To => dbv
2013-03-04 15:15 bugmaster Status new => assigned
2013-03-04 15:19 dbv Relationship added related to 0023712
2013-03-05 15:30 dbv Note Added: 0023588
2013-03-05 15:30 dbv Status assigned => resolved
2013-03-05 15:30 dbv Assigned To dbv => kgv
2013-03-05 15:32 dbv Note Edited: 0023588
2013-03-05 15:46 kgv Note Added: 0023590
2013-03-05 15:46 kgv Assigned To kgv => bugmaster
2013-03-05 15:46 kgv Status resolved => reviewed
2013-03-06 10:31 bugmaster Note Added: 0023599
2013-03-06 10:37 abv Note Added: 0023600
2013-03-06 12:59 kgv Note Added: 0023604
2013-03-06 13:11 mkv Note Added: 0023605
2013-03-06 13:12 mkv Test case number => Not needed
2013-03-06 13:12 mkv Status reviewed => tested
2013-03-07 11:26 dbv Changeset attached => occt master 6942f04a
2013-03-07 11:26 dbv Assigned To bugmaster => dbv
2013-03-07 11:26 dbv Status tested => verified
2013-03-07 11:26 dbv Resolution open => fixed
2013-04-23 13:35 aiv Status verified => closed
2013-04-29 15:23 aiv Fixed in Version => 6.6.0